import { i as inflate_1 } from "./pako.esm-SxljTded.js";
import { aX as BaseDecoder } from "./index-B0JyLhTY.js";
class DeflateDecoder extends BaseDecoder {
  decodeBlock(buffer) {
    return inflate_1(new Uint8Array(buffer)).buffer;
  }
}
export {
  DeflateDecoder as default
};
